$().ready(function() {

    new Clipboard('.btn');

    var num = 1;
    var years = 1;
    var jortext;
    var tierselected;
    var multipleorgs;

    function scanPeople(el) {
        num = el.target.value;
        updateJor();
    }

    function scanYears(el) {
        years = el.target.value;
        updateJor();
    }

    function scanTierSelected(el) {
        tierselected = el.target.value;
        updateJor();
    }

    function scanMultipleOrgs(el) {
        multipleorgs = el.target.value;
        updateJor();
    }

    function calcPrice() {

        var annualstnovat = doCalc(num, costs_standard) * 12;
        var annualprnovat = doCalc(num, costs_premium) * 12;
        var annualstvat = annualstnovat * 1.2;
        var annualprvat = annualprnovat * 1.2;
        var projectstvat = annualstvat * years;
        var projectprvat = annualprvat * years;

        document.getElementById('annual_total_standard').innerHTML = "&pound;" + annualstnovat.toFixed(2);
        document.getElementById('annual_total_premium').innerHTML = "&pound;" + annualprnovat.toFixed(2);
        document.getElementById('annual_vat_standard').innerHTML = "&pound;" + annualstvat.toFixed(2);
        document.getElementById('annual_vat_premium').innerHTML = "&pound;" + annualprvat.toFixed(2);
        document.getElementById('project_vat_standard').innerHTML = "&pound;" + projectstvat.toFixed(2);
        document.getElementById('project_vat_premium').innerHTML = "&pound;" + projectprvat.toFixed(2);

    }

    function updateJor() {
        $('#tierselected').text(tierselected);
        $('.teamsize').text(num);
        $('.projectlength').text(years);

        if(multipleorgs == 1) {
            $('#multi').text("; challenges that are particularly acute on cross-institutional projects.");
        }

        else {
            $('#multi').text(".");
        }
    }

    var postData = function ()
    {
      calcPrice();

      var validate = true;
      var tierselected = $(".tier:checked").val();
      var num = $("#teamSize").val();
      var projectyears = $("#projectLength").val();
      var multipleorgs = $(".otherInstitution:checked").val();
      var forename = $("#forename").val();
      var surname = $("#surname").val();
      var position = $("#position").val();
      var institution = $("#institution").val();
      var email = $("#email").val();
      var council = $("#researchCouncil").val();
      var funding = $("#fundingCall").val();
      var followup = ($("#pecrstatement").prop("checked"));
      var total_standard = $("#annual_total_standard").text();
      var annualStandardWithVat = $("#annual_vat_standard").text();
      var totalCostStandard = $("#project_vat_standard").text();
      var total_premium = $("#annual_total_premium").text();
      var annualPremiumWithVat = $("#annual_vat_premium").text();
      var totalCostPremium = $("#project_vat_premium").text();
      var jortext = $("#jorparagraph").text();

      $('.errormsg').remove();

      if (!$(".tier").is(":checked")) {
        $("#stdtierbtn").after("<p class='errormsg'><i class='fa fa-times-circle' aria-hidden='true'></i>Please select a subscription tier</p>");
      }

      if (!$(".otherInstitution").is(":checked")) {
        $("#otherbtn").after("<p class='errormsg'><i class='fa fa-times-circle' aria-hidden='true'></i>Please select an option</p>");
       }

      var rules = [
        {el: $("#forename"),
          v: /.+/,
          m: "<p class='errormsg'><i class='fa fa-times-circle' aria-hidden='true'></i>Please enter your forename</p>"},
        {el: $("#surname"),
          v: /.+/,
          m: "<p class='errormsg'><i class='fa fa-times-circle' aria-hidden='true'></i>Please enter your surname</p>"},
        {el: $("#position"),
          v: /.+/,
          m: "<p class='errormsg'><i class='fa fa-times-circle' aria-hidden='true'></i>Please enter your position</p>"},
        {el: $("#email"),
          v: /^.+@.+\..{2,9}$/,
          m: "<p class='errormsg'><i class='fa fa-times-circle' aria-hidden='true'></i>Please enter a valid e-mail address</p>"},
        {el: $("#institution"),
          v: /.+/,
          m: "<p class='errormsg'><i class='fa fa-times-circle' aria-hidden='true'></i>Please enter your institution</p>"},
      ];

      for(var i in rules)
      {

        var rule = rules[i];
        var val = rule.el.val();
        if (!val.toString().match(rule.v)) {
          (rule.el).after(rule.m);
          var validate = false;
        }
      }

      if (num == 0) {
        $("#teamSize").after("<p class='errormsg'><i class='fa fa-times-circle' aria-hidden='true'></i>Please enter the number of people in your team</p>");
      }

      if (projectyears == 0) {
        $("#projectLength").after("<p class='errormsg'><i class='fa fa-times-circle' aria-hidden='true'></i>Please enter the length of your project</p>");
      }

      if (num == 0 || projectyears == 0) {
        return;
      }

      if(validate)
      {
        var data = {
          tier: tierselected,
          teamsize: num,
          projectyears: projectyears,
          multiorgs: multipleorgs,
          forename: forename,
          surname: surname,
          position: position,
          institution: institution,
          email: email,
          council: council,
          funding: funding,
          followup: followup,
          annualstnovat: total_standard,
          annualstvat: annualStandardWithVat,
          projectstvat: totalCostStandard,
          annualprnovat: total_premium,
          annualprvat: annualPremiumWithVat,
          projectprvat: totalCostPremium,
          jortext: jortext
        };

        $.ajax(
          {
            url: "e-mail_submit.php",
            data: data,
            dataType: 'html',
            method: 'POST'
        });

        $('.page1').hide();
        $('.page2').show();
      }

    }

    updateJor();
    $('.tier').on( "input", scanTierSelected);
    $('#teamSize').on( "input", scanPeople);
    $('#projectLength').on( "input", scanYears);
    $('.otherInstitution').on( "input", scanMultipleOrgs);
    $('#submit').click(postData);
});
